Bug 1705645 - kube-scheduler uses endpoints leader lock file, should be configmap
Summary: kube-scheduler uses endpoints leader lock file, should be configmap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.1.0
Assignee: ravig
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-02 16:25 UTC by Clayton Coleman
Modified: 2019-06-04 10:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:27 UTC

Description Clayton Coleman 2019-05-02 16:25:38 UTC
I0502 15:23:30.593107       1 flags.go:33] FLAG: --kubeconfig=""
I0502 15:23:30.593111       1 flags.go:33] FLAG: --leader-elect="true"
I0502 15:23:30.593114       1 flags.go:33] FLAG: --leader-elect-lease-duration="15s"
I0502 15:23:30.593118       1 flags.go:33] FLAG: --leader-elect-renew-deadline="10s"
I0502 15:23:30.593122       1 flags.go:33] FLAG: --leader-elect-resource-lock="endpoints"
I0502 15:23:30.593126       1 flags.go:33] FLAG: --leader-elect-retry-period="2s"
I0502 15:23:30.593130       1 flags.go:33] FLAG: --lock-object-name="kube-scheduler"

Components *must not* use leader-elect-resource-lock=endpoints because it causes high churn on kube-proxies.  This is also not a safe change to roll out, so is a 4.1 blocker.

I will clone to other components to verify.

Comment 3 Seth Jennings 2019-05-06 21:44:51 UTC
New KSO PR
https://github.com/openshift/cluster-kube-scheduler-operator/pull/128

Comment 4 Eric Paris 2019-05-08 02:30:17 UTC
moving back to assigned until we either figure the patch out or work out if we are going to force merge.

Comment 9 errata-xmlrpc 2019-06-04 10:48:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.